<ui:composition xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:a4j="http://richfaces.org/a4j" xmlns:s="http://jboss.org/schema/seam/taglib"
                xmlns:f="http://java.sun.com/jsf/core"
                xmlns:h="http://java.sun.com/jsf/html"
                xmlns="http://www.w3.org/1999/xhtml" template="/layout/template.xhtml">
    <ui:define name="body">
        <s:decorate template="/pdq/pdcConfigTemplate.xhtml">
            <ui:param name="managedBean" value="#{pdqmpdc}"/>
            <ui:param name="title"
                      value="#{messages['net.ihe.gazelle.patientmanager.PDQmPatientDemographicsConsumer']}"/>
            <ui:define name="sutSelection">
                <s:div styleClass="row" id="configSelectionGrid2">
                    <div class="col-md-4">
                        <ui:decorate template="/layout/panels/_panel_title.xhtml">
                            <ui:define name="panel_title">#{messages['gazelle.HL7Common.Simulator']}</ui:define>
                            <dl>
                                <s:decorate id="manualNameDecoration"
                                            template="/layout/display/_display.xhtml">
                                    <ui:define name="label">#{messages['gazelle.simulator.pam.Name']}</ui:define>
                                    <h:outputText
                                            value="#{messages['gazelle.simulator.pam.SimulatorConfiguration']}"/>
                                </s:decorate>
                            </dl>
                        </ui:decorate>
                    </div>
                    <div class="col-md-4">
                        <h:graphicImage library="img" name="diag/pdqmConsumer.png"
                                        rendered="#{pdqmpdc.selectedSUT != null}"/>
                    </div>
                    <div class="col-md-4">
                        <s:decorate template="/layout/panels/_panel_title.xhtml"
                                    rendered="#{pdqmpdc.selectedSUT != null}">
                            <ui:define name="panel_title">
                                #{messages['net.ihe.gazelle.PatientManager.SystemUnderTestSUT']})
                            </ui:define>
                            <s:decorate id="manualNameDecoration2"
                                        template="/layout/display/_data_list_item.xhtml">
                                <ui:define name="label">#{messages['gazelle.simulator.pam.Name']}</ui:define>
                                <h:outputText value="#{pdqmpdc.selectedSUT.name}"/>
                            </s:decorate>
                            <s:decorate id="manualIPDecoration2"
                                        template="/layout/display/_data_list_item.xhtml">
                                <ui:define name="label">#{messages['gazelle.simulator.URL']}</ui:define>
                                <h:outputText id="url" value="#{pdqmpdc.selectedSUT.url}"/>
                            </s:decorate>
                        </s:decorate>
                    </div>
                </s:div>
                <!-- system under test selection/display-->
                <div class="form-horizontal">
                    <s:decorate template="/layout/form/_form_field_horizontal_3-9.xhtml">
                        <ui:define name="label">#{messages['gazelle.simulator.pam.SystemUnderTest']}</ui:define>
                        <ui:param name="id" value="sutSelection"/>
                        <h:selectOneMenu value="#{pdqmpdc.selectedSUT}" styleClass="form-control gzl-select-text"
                                         rendered="#{pdqmpdc.displayCriteriaForm}" id="sutSelection">
                            <s:selectItems value="#{pdqmpdc.availableSystems}" var="conf"
                                           noSelectionLabel="#{messages['gazelle.simulator.PleaseSelect']}"
                                           label="#{conf.name}"/>
                            <a4j:ajax event="change" for="sutSelection" render="configSelectionGrid2"/>
                        </h:selectOneMenu>
                        <h:outputText value="#{pdqmpdc.selectedSUT.name}"
                                      rendered="#{not pdqmpdc.displayCriteriaForm}"/>
                    </s:decorate>
                </div>

            </ui:define>
            <ui:define name="transactionSelection">
                <!-- No transaction to be selected for this actor, always ITI-78 -->
            </ui:define>
            <ui:define name="editQueryParameters">
                <s:div styleClass="gzl-alert gzl-alert-blue">
                    <span class="gzl-icon-info-circle"/>
                    <h:outputText
                            value="#{messages['net.ihe.gazelle.patientmanager.ByDefaultTheToolUsesTheexactQueryModifierOnStrin']}"/>
                </s:div>
                <s:decorate template="/pdq/editPDQParameters.xhtml">
                    <ui:param name="managedBean" value="#{pdqmpdc}"/>
                    <ui:param name="displayOptions" value="true"/>
                </s:decorate>
            </ui:define>
            <ui:define name="displayQueryParameters">
                <s:decorate template="/pdq/displayPDQParameters.xhtml">
                    <ui:param name="managedBean" value="#{pdqmpdc}"/>
                    <ui:param name="displayOptions" value="true"/>
                </s:decorate>
            </ui:define>
            <ui:define name="patientDetails">
                <ui:include src="/pdq/patientDetails.xhtml">
                    <ui:param name="managedBean" value="#{pdqmpdc}"/>
                </ui:include>
            </ui:define>
            <ui:define name="testReport">
                <ui:include src="/messages/message_table.xhtml">
                    <ui:param name="hl7Messages" value="#{pdqmpdc.messages}"/>
                </ui:include>
            </ui:define>
        </s:decorate>
    </ui:define>
</ui:composition>
